### Function Macro

# GLib dataset_id_set_data

since: 2.0

#### Declaration

    #define g_dataset_id_set_data (
      l,
      k,
      d
    )

#### Description

Sets the data element associated with the given `GQuark` id. Any previous data with the same key is removed, and its destroy function is called.

Available since: 2.0

This function is not directly available to language bindings.

#### Parameters

`l`

  Type: `-`

  The location identifying the dataset.

`k`

  Type: `-`

  The `GQuark` id to identify the data element.

`d`

  Type: `-`

  The data element.